---
type: api
title: Get output
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v9/operation/operation-get-fleet-outputs-outputid
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v9/operation/operation-get-fleet-outputs-outputid
products:
  - Kibana
---

# Get output

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/fleet/outputs/{outputId}`
- `GET` `/s/{space_id}/api/fleet/outputs/{outputId}`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v9/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v9/authentication#basicauth)

#### Path Parameters

- `outputId` (string)
  The ID of the output

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

Get output by ID.<br/><br/>[Required authorization] Route required privileges: fleet-settings-read OR fleet-agent-policies-read.

## Responses

#### `200`

Successful response

`application/json`

- `item` (union oneOf)
  - **Kibana_HTTP_APIs_output_elasticsearch** (`type: elasticsearch`)
    - `allow_edit` ([] string · max: 1000)
    - `ca_sha256` (string) — nullable
    - `ca_trusted_fingerprint` (string) — nullable
    - `config_yaml` (string) — nullable
    - `hosts` ([] string · min: 1 · max: 100)
    - `id` (string)
    - `is_default` (boolean · default: false)
    - `is_default_monitoring` (boolean · default: false)
    - `is_internal` (boolean)
    - `is_preconfigured` (boolean)
    - `name` (string)
    - `otel_disable_beatsauth` (boolean) — nullable
    - `otel_exporter_config_yaml` (string) — nullable
    - `preset` (enum)
      Values: `balanced`, `custom`, `throughput`, `scale`, `latency`
    - `proxy_id` (string) — nullable
    - `secrets` (object)
      - `ssl` (object)
        - `key` (union anyOf)
          - **{ id, hash }**
            - `hash` (string)
            - `id` (string)
          - **string**
    - `shipper` ({})
      - `compression_level` (number · default: null) — nullable
      - `disk_queue_compression_enabled` (boolean · default: null) — nullable
      - `disk_queue_enabled` (boolean · default: null) — nullable
      - `disk_queue_encryption_enabled` (boolean · default: null) — nullable
      - `disk_queue_max_size` (number · default: null) — nullable
      - `disk_queue_path` (string · default: null) — nullable
      - `loadbalance` (boolean · default: null) — nullable
      - `max_batch_bytes` (number · default: null) — nullable
      - `mem_queue_events` (number · default: null) — nullable
      - `queue_flush_timeout` (number · default: null) — nullable
    - `ssl` ({})
      - `certificate` (string)
      - `certificate_authorities` ([] string · max: 10)
      - `key` (string)
      - `verification_mode` (enum)
        Values: `full`, `none`, `certificate`, `strict`
    - `type` (enum)
      Values: `elasticsearch`
    - `write_to_logs_streams` (boolean) — nullable
  - **Kibana_HTTP_APIs_output_remote_elasticsearch** (`type: remote_elasticsearch`)
    - `allow_edit` ([] string · max: 1000)
    - `ca_sha256` (string) — nullable
    - `ca_trusted_fingerprint` (string) — nullable
    - `config_yaml` (string) — nullable
    - `hosts` ([] string · min: 1 · max: 100)
    - `id` (string)
    - `is_default` (boolean · default: false)
    - `is_default_monitoring` (boolean · default: false)
    - `is_internal` (boolean)
    - `is_preconfigured` (boolean)
    - `kibana_api_key` (string) — nullable
    - `kibana_url` (string) — nullable
    - `name` (string)
    - `otel_disable_beatsauth` (boolean) — nullable
    - `otel_exporter_config_yaml` (string) — nullable
    - `preset` (enum)
      Values: `balanced`, `custom`, `throughput`, `scale`, `latency`
    - `proxy_id` (string) — nullable
    - `secrets` (object)
      - `service_token` (union anyOf)
        - **{ id, hash }**
          - `hash` (string)
          - `id` (string)
        - **string**
      - `ssl` (object)
        - `key` (union anyOf)
          - **{ id, hash }**
            - `hash` (string)
            - `id` (string)
          - **string**
    - `service_token` (string) — nullable
    - `shipper` ({})
      Same fields as `shipper` in `Kibana_HTTP_APIs_output_elasticsearch`
    - `ssl` ({})
      - `certificate` (string)
      - `certificate_authorities` ([] string · max: 10)
      - `key` (string)
      - `verification_mode` (enum)
        Values: `full`, `none`, `certificate`, `strict`
    - `sync_integrations` (boolean)
    - `sync_uninstalled_integrations` (boolean)
    - `type` (enum)
      Values: `remote_elasticsearch`
    - `write_to_logs_streams` (boolean) — nullable
  - **Kibana_HTTP_APIs_output_logstash** (`type: logstash`)
    - `allow_edit` ([] string · max: 1000)
    - `ca_sha256` (string) — nullable
    - `ca_trusted_fingerprint` (string) — nullable
    - `config_yaml` (string) — nullable
    - `hosts` ([] string · min: 1 · max: 100)
    - `id` (string)
    - `is_default` (boolean · default: false)
    - `is_default_monitoring` (boolean · default: false)
    - `is_internal` (boolean)
    - `is_preconfigured` (boolean)
    - `name` (string)
    - `otel_disable_beatsauth` (boolean) — nullable
    - `otel_exporter_config_yaml` (string) — nullable
    - `proxy_id` (string) — nullable
    - `secrets` (object)
      - `ssl` (object)
        - `key` (union anyOf)
          - **{ id, hash }**
            - `hash` (string)
            - `id` (string)
          - **string**
    - `shipper` ({})
      Same fields as `shipper` in `Kibana_HTTP_APIs_output_elasticsearch`
    - `ssl` ({})
      - `certificate` (string)
      - `certificate_authorities` ([] string · max: 10)
      - `key` (string)
      - `verification_mode` (enum)
        Values: `full`, `none`, `certificate`, `strict`
    - `type` (enum)
      Values: `logstash`
  - **Kibana_HTTP_APIs_output_kafka** (`type: kafka`)
    - `allow_edit` ([] string · max: 1000)
    - `auth_type` (enum)
      Values: `none`, `user_pass`, `ssl`, `kerberos`
    - `broker_timeout` (number)
    - `ca_sha256` (string) — nullable
    - `ca_trusted_fingerprint` (string) — nullable
    - `client_id` (string)
    - `compression` (enum)
      Values: `gzip`, `snappy`, `lz4`, `none`
    - `compression_level` (number) — nullable
    - `config_yaml` (string) — nullable
    - `connection_type` (enum)
      Values: `plaintext`, `encryption`
    - `hash` (object)
      - `hash` (string)
      - `random` (boolean)
    - `headers` ([] object · max: 100)
      - `key` (string)
      - `value` (string)
    - `hosts` ([] string · min: 1 · max: 100)
    - `id` (string)
    - `is_default` (boolean · default: false)
    - `is_default_monitoring` (boolean · default: false)
    - `is_internal` (boolean)
    - `is_preconfigured` (boolean)
    - `key` (string)
    - `name` (string)
    - `otel_disable_beatsauth` (boolean) — nullable
    - `otel_exporter_config_yaml` (string) — nullable
    - `partition` (enum)
      Values: `random`, `round_robin`, `hash`
    - `password` (string) — nullable
    - `proxy_id` (string) — nullable — deprecated
      Kafka outputs do not support proxy configuration. This field is accepted for backwards compatibility but is ignored — it is cleared to null on save and has no effect on the compiled agent policy.
    - `random` (object)
      - `group_events` (number)
    - `required_acks` (enum)
      Values: `1`, `0`, `-1`
    - `round_robin` (object)
      - `group_events` (number)
    - `sasl` (object) — nullable
      - `mechanism` (enum)
        Values: `PLAIN`, `SCRAM-SHA-256`, `SCRAM-SHA-512`
    - `secrets` (object)
      - `password` (union anyOf)
        - **{ id, hash }**
          - `hash` (string)
          - `id` (string)
        - **string**
      - `ssl` (object)
        - `key` (union anyOf)
          - **{ id, hash }**
            - `hash` (string)
            - `id` (string)
          - **string**
    - `shipper` ({})
      Same fields as `shipper` in `Kibana_HTTP_APIs_output_elasticsearch`
    - `ssl` ({})
      - `certificate` (string)
      - `certificate_authorities` ([] string · max: 10)
      - `key` (string)
      - `verification_mode` (enum)
        Values: `full`, `none`, `certificate`, `strict`
    - `timeout` (number)
    - `topic` (string)
    - `type` (enum)
      Values: `kafka`
    - `username` (string) — nullable
    - `version` (string)
#### `400`

Bad Request

`application/json`

- `attributes` (object)
- `error` (string)
- `errorType` (string)
- `message` (string)
- `statusCode` (number)
#### `404`

Not Found

## Code Examples

#### Console

```console
GET /api/fleet/outputs/{outputId}
```

#### curl

```curl
curl -X GET "https://{kibana_url}/api/fleet/outputs/{outputId}"
```

## Response Examples

#### Get output

A Fleet output

```json
{
  "item": {
    "hosts": [
      "https://elasticsearch.example.com:9200"
    ],
    "id": "output-id-1",
    "is_default": true,
    "is_default_monitoring": true,
    "name": "Default output",
    "type": "elasticsearch"
  }
}
```

#### Generic error response

Example of a generic error response

```json
{
  "error": "Bad Request",
  "message": "An error message describing what went wrong",
  "statusCode": 400
}
```

#### Not found

No output was found with the given ID

```json
{
  "error": "Not Found",
  "message": "Output output-id-1 not found",
  "statusCode": 404
}
```

